0

For the past years I've been using ArduinoOTA along with ArduinoHttpClient on MKR1400 for updating the bin on the fly from a remote web server.

Even without ArduinoOTA's official support for GSM, it has been working like a charm. All it took was adding a condition to ArduinoOTA.h to accept MGRGSM (thanks Juraj) and some playing around with the code to ensure successful operation:

#elif defined(_MKRGSM_H_INCLUDED)
ArduinoOTAClass <GSMServer, GSMClient> ArduinoOTA;

Unfortunately, the other day I went ahead and updated by IDE's libraries without first backing them up and now I lost the ability to perform successful OTA.

What I have done so far is to step back with libraries versions and check the dates of the lib updates (I found a point in time when I knew I compiled a good version before the lib has been updated) but so far nothing, the OTA process starts and it bricks the board.

Any idea? Thanks!

0

1 Answer 1

1

Arduino made changes in platform.txt files for IDE 2.0 pluggable monitor system, which is a system to detect COM ports, network ports and other means to upload to Arduino.

While they did the changes they forgot to test the OTA support with IDE 1 so they broke OTA in AVR and SAMD core. The affected versions of core are AVR 1.8.4 and SAMD 1.8.12.

Arduino already fixed the error in platform.txt in both cores and AVR core already has a new release 1.8.5 with the fix. The SAMD core doesn't have a new release yet. You can apply the fix to your 1.8.12 installation, or return to 1.8.11 version. EDIT: SAMD core 1.8.13 is already available too.

EDIT: Or you can use the 'fake programmer' method which doesn't require network port to be detected by the IDE and has a separate configuration.

3
  • Thanks for the information, I tried the fix and returning to 1.8.11, nighter worked, but I was able to get progress with an old backup of the libraries folder and rolling back IDE to 1.81 (I assume newer versions would work as well but didn't have the time to test). For now I can do OTA updates of most types, some do not work like updating an older bin over a new one but what do works may ends up as enough.
    – Nino
    Feb 22 at 20:42
  • @Nino SAMD core 1.8.13 is available
    – Juraj
    Feb 23 at 10:43
  • Cool! I can confirm, a fresh new installation works like a charm, thanks a lot Juraj.
    – Nino
    Feb 24 at 18:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.